| Home | Libraries | People | FAQ | More

## Struct template on_codomain_model<Type, false>

boost::icl::interval_base_map::on_codomain_model<Type, false>

## Synopsis

    // In header: <boost/icl/interval_base_map.hpp>

    template<typename Type>
    struct on_codomain_model<Type, false> {
      // types
      typedef Type::interval_type    interval_type;
      typedef Type::codomain_type    codomain_type;
      typedef Type::segment_type     segment_type;
      typedef Type::codomain_combine codomain_combine;

      // public static functions
      static void add(Type &, interval_type &, const codomain_type &,
                      const codomain_type &);
    };

## Description

### `on_codomain_model` public static functions

1.     static void add(Type & intersection, interval_type & common_interval,
                       const codomain_type &, const codomain_type &);